<?php require_once 'common/StandardEntity.php'; ?>
<?php require_once '_header.php'; ?>

<?php

	$jobId = ($_POST['job_id']) ? $_POST['job_id']: 0;
	$uid  = ($_POST['uid']) ? $_POST['uid']: 0;

	if ($_FILES['cv']) :
		$data = base64_encode(file_get_contents($_FILES['cv']['tmp_name']));

		$eBossClient = new EbossApiClient();
		$cv = $eBossClient->parseCv($data);
		if ($cv) {
				$params = array(
						'first_name' => ($cv['first_name']) ? $cv['first_name'] : '',
						'surname' => ($cv['last_name']) ? $cv['last_name'] : '',
						'email' => ($cv['email']) ? $cv['email'] : '',
						'main_phone' => ($cv['phone']) ? $cv['phone'] : '',
						'mobile_phone' => ($cv['mobile_phone']) ? $cv['mobile_phone'] : '',
						'work_phone' => ($cv['work_phone']) ? $cv['work_phone'] : '',
						'address1' => ($cv['address1']) ? $cv['address1'] : '',
						'address2' => ($cv['address2']) ? $cv['address2'] : '',
								'added_datetime' => date('Y-m-d'),
						'created_from' => 'web',
						'current_duties' => ($cv['employment_history']) ? addslashes($cv['employment_history']) : '',
						'UCNMCNotes' => ($cv['education_history']) ? addslashes($cv['education_history']) : ''
				);
				$result = StandardEntity::registerCandidate($params);

				if ($result['last_insert_id']) {
						$fileParams = array(
								'candidate_id' => $result['last_insert_id'],
								'filename' => $_FILES["cv"]["name"],
								'data' => '@'. $_FILES["cv"]["tmp_name"]
						);

						$client = new EbossApiClient();
						$newFile = $client->fileUpload($fileParams);

						//xstatus - links job to candidate
						$params['candidate_id'] = $result['last_insert_id'];
						$params['client_id'] = $uid;
						$params['job_id'] = $jobId;
						$params['name'] = 'CV submitted';
						$params['created_datetime'] = date('Y-m-d H:i:s');
						$xStatus = StandardEntity::createXstatus($params);
				}
		}

?>


<?php endif; ?>



<div class="container">
		<br/><br/><br/>
		<?php if ($result && $result['last_insert_id']) { ?>
				<p class="bg-success" style="font-size: 18px;"> Thank you...  </p>
		<?php } else { ?>
				<p class="bg-danger" style="font-size: 18px;">Unable to process request. An account already exists for this email address. Please try again.</p>
		<?php } ?>
</div>




<?php require_once'_footer.php'; ?>


