<?php require_once '_header.php'; ?>
<?php require_once 'common/ListEntity.php'; ?>
		<div class="container">
			<div class="row">
				<div class="col-md-8">
					<h2>Job Search</h2>
					<form action="results.php" name="job-search" method="POST" role="form">
						<input type="hidden" name="search-type" id="search-type" value="basic-search">

						<div class="form-group">
					    	<label for="job-title">Job Title</label>

								<?php $jobTitles = ListEntity::getJobTitle(); ?>
								<select  class="form-control" name="job-title" id="job-title" >
										<option value="" selected>--ALL--</option>
									<?php foreach ($jobTitles as $jobTitle):  ?>
											<option value="<?php echo $jobTitle['name']; ?>"> <?php echo $jobTitle['name']; ?> </option>
									<?php endforeach; ?>

								</select>

						</div>

							<div class="form-group">
									<label for="industry">Industry</label>

									<?php $industries = ListEntity::getIndustry(); ?>
									<select  class="form-control" name="industry" id="industry" >
											<option value="" selected>--ALL--</option>
											<?php foreach ($industries as $industry):  ?>
													<option value="<?php echo $industry['id']; ?>"> <?php echo $industry['name']; ?> </option>
											<?php endforeach; ?>
									</select>
							</div>

							<div class="form-group">
									<label for="salary">Salary Range</label>
									<select class="form-control" name="salary" id="salary">
											<option value="">--ALL--</option>
											<option value="0-10000">0-10000</option>
											<option value="10001-12000">10001-12000</option>
											<option value="12001-13000">12001-13000</option>
											<option value="13001-15000">13001-15000</option>
											<option value="15001-17000">15001-17000</option>
											<option value="17001-19000">17001-19000</option>
											<option value="19001-21000">19001-21000</option>
											<option value="21001-24000">21001-24000</option>
											<option value="24001-26000">24001-26000</option>
											<option value="26001-29000">26001-29000</option>
											<option value="29001-34000">29001-34000</option>
											<option value="34001-39000">34001-39000</option>
											<option value="39001-45000">39001-45000</option>
											<option value="45001-50000">45001-50000</option>
											<option value="50001-60000">50001-60000</option>
									</select>
							</div>

						<div class="form-group">
									<label for="country">Country</label>

									<?php $countries = ListEntity::getCountry(); ?>
									<select  class="form-control" name="country" id="country" >
											<option value="">--ALL--</option>
											<?php foreach ($countries as $list):  ?>
													<option value="<?php echo $list['id']; ?>"  <?php echo ($list['id'] == 216) ? "selected": ""; ?>> <?php echo $list['name']; ?> </option>
											<?php endforeach; ?>

									</select>
						</div>

							<div class="form-group">
									<label for="region">Region</label>

									<?php $regions = array(); //$regions = ListEntity::getRegion(); ?>
									<select  class="form-control" name="region" id="region" >
											<option value="" selected>--ALL--</option>
											<?php foreach ($regions as $region):  ?>
													<option value="<?php echo $region['id']; ?>"> <?php echo $region['name']; ?> </option>
											<?php endforeach; ?>

									</select>
							</div>



						<button type="submit" class="btn btn-primary btn-lg  pull-right">Search</button>
					</form>

						<br/>	<br/>
					 <label id="loader" class="pull-left"> <img src="ajax-loader.gif" /> Please wait while loading...</label>
				</div>
			</div>
		</div>

<?php require_once'_footer.php'; ?>


