<?php require_once '_header.php'; ?>
<?php require_once 'common/ListEntity.php'; ?>
<?php require_once 'common/StandardEntity.php'; ?>
<div class="container">
		<div class="row">
				<div class="col-md-8">
						<h2>Register</h2>
						<form action="thankyou.php" name="register" method="POST" role="form" enctype="multipart/form-data">
								<input type="hidden" name="register-type" value="register-with-cv" />
								<div class="form-group">
										<label for="upload-cv">Upload CV</label>
										<input type="file" name="cv" id="upload-cv">
										<p class="help-block">Upload your resume / CV </p>
								</div>

								<div class="form-group">
										<label for="first-name">First Name</label>
										<input type="text"  class="form-control" name="first-name" id="first-name"  value="<?php echo ($cv['first_name']) ? $cv['first_name']: ''; ?>" />
								</div>

								<div class="form-group">
										<label for="last-name">Last Name</label>
										<input type="text"  class="form-control" name="last-name" id="last-name" value="<?php echo ($cv['last_name']) ? $cv['last_name']: ''; ?>" />
								</div>

								<div class="form-group">
										<label for="email">Email</label>
										<input type="text"  class="form-control" name="email" id="email" value="<?php echo ($cv['email']) ? $cv['email']: ''; ?>" />
								</div>

								<div class="form-group">
										<label for="telephone">Telephone</label>
										<input type="text"  class="form-control" name="telephone" id="telephone" value="<?php echo ($cv['mobile_phone']) ? $cv['mobile_phone']: ''; ?>"/>
								</div>

								<div class="form-group">
										<label for="mobile-phone">Mobile phone</label>
										<input type="text"  class="form-control" name="mobile-phone" id="mobile-phone" value="<?php echo ($cv['mobile_phone']) ? $cv['mobile_phone']: ''; ?>"/>
								</div>

								<div class="form-group">
										<label for="work-phone">Work phone</label>
										<input type="text"  class="form-control" name="work-phone" id="work-phone" value="<?php echo ($cv['mobile_phone']) ? $cv['mobile_phone']: ''; ?>"/>
								</div>

								<div class="form-group">
										<label for="job-type">Job Type </label>
										<?php $jobTypes = StandardEntity::getJobType(); ?>
										<select  class="form-control" name="job-type" id="job-title" >
												<?php foreach ($jobTypes as $list):  ?>
														<option value="<?php echo $list['id']; ?>"> <?php echo $list['name']; ?> </option>
												<?php endforeach; ?>

										</select>
								</div>

								<div class="form-group">
										<label for="job-title">Job Title</label>

										<?php $jobTitles = ListEntity::getJobTitle(); ?>
										<select  class="form-control" name="job-title" id="job-title" >
												<?php foreach ($jobTitles as $jobTitle):  ?>
														<option value="<?php echo $jobTitle['id']; ?>"> <?php echo $jobTitle['name']; ?> </option>
												<?php endforeach; ?>

										</select>
								</div>

								<div class="form-group">
										<label for="industry">Industry</label>

										<?php $industries = ListEntity::getIndustry(); ?>
										<select  class="form-control" name="industry" id="industry">
												<?php foreach ($industries as $industry):  ?>
														<option value="<?php echo $industry['id']; ?>"> <?php echo $industry['name']; ?> </option>
												<?php endforeach; ?>
										</select>
								</div>

								<div class="form-group">
										<label for="country">Country</label>

										<?php $countries = ListEntity::getCountry(); ?>
										<select  class="form-control" name="country" id="country" >
												<?php foreach ($countries as $list):  ?>
														<option value="<?php echo $list['id']; ?>"  <?php echo ($list['id'] == 216) ? "selected": ""; ?>> <?php echo $list['name']; ?> </option>
												<?php endforeach; ?>

										</select>
								</div>

								<div class="form-group">
										<label for="region">Region</label>

										<?php $regions = array(); //$regions = ListEntity::getRegion(); ?>
										<select  class="form-control" name="region" id="region" >
												<option value="" selected>--ALL--</option>
												<?php foreach ($regions as $region):  ?>
														<option value="<?php echo $region['id']; ?>"> <?php echo $region['name']; ?> </option>
												<?php endforeach; ?>

										</select>
								</div>
								<br/>
								<br/>
								<label id="loader" class="pull-left"> <img src="ajax-loader.gif" /> Please wait while loading...</label>
								<button type="submit" class="btn btn-primary btn-lg  pull-right">Submit</button>
								<br/>
								<br/>
								<br/>
						</form>




				</div>
		</div>

</div>

<?php require_once'_footer.php'; ?>


