<?php
	require_once '_header.php';
	require_once 'common/JobSearch.php';
?>

<div class="container">
		<div class="row">
						<div class="col-md-8">
							<?php


								if (isset($_POST) && !empty($_POST)) :
										$jobs = array();

										if (isset($_POST['search-type'])) {
											if ($_POST['search-type'] ==='keyword-search') {
													$params['keyword'] = ($_POST['keyword']) ? $_POST['keyword'] : '';
													$jobs = Job::getKeywordSearchResult($params);
											} elseif ($_POST['search-type'] ==='radius-search') {
													$params = array(
															'mile-radius' => ($_POST['mile-radius']) ? $_POST['mile-radius']: '',
															'postal-code' => ($_POST['postal-code']) ? $_POST['postal-code']: '',
													);

													$jobs = Job::getRadiusSearchResult($params);

											} else {
													$params = array(
															'job_title' => ($_POST['job-title']) ? $_POST['job-title']: '',
															'country' => ($_POST['country']) ?  ($_POST['country']): '',
															'region' => ($_POST['region']) ?  ($_POST['region']): '',
															'industry' => ($_POST['industry']) ?  ($_POST['industry']): '',
															'skill' => ($_POST['skill']) ?  ($_POST['skill']): '',
															'salary' => ($_POST['salary']) ?  ($_POST['salary']): '',
													);

													$jobs = Job::getBasicSearchResult($params);
											}
										}

										?>


												<br/>
												<div class="row">
														<h2>Results</h2>
														<table class="table table-hover">
																<thead>
																<th>Job Title</th>
																<th>Job Detail</th>
																<th>Country</th>
																<th>Region</th>
																<th>Salary</th>
																<th></th>
																</thead>
																<tbody>
																<?php if ($jobs) : ?>
																		<?php foreach ($jobs as $item) : ?>

																				<tr>
																						<td><?php echo $item['job.job_title']; ?></td>
																						<td><?php echo $item['job.detail']; ?></td>
																						<td><?php echo isset($item['list_country.name']) ? $item['list_country.name']: ''; ?></td>
																						<td><?php echo isset($item['list_region.name']) ? $item['list_region.name']: ''; ?></td>
																						<td><?php echo isset($item['job.salary']) ? $item['job.salary']: ''; ?></td>
																						<td><a href="upload-cv.php?uid=<?php echo $item['job.UID']; ?>&id=<?php echo $item['job.id']?>" class="btn btn-primary btn-sm "> Apply Now </a></td>
																				</tr>

																		<?php endforeach; ?>
																<?php else: ?>

																	<tr>
																			<td></td>
																			<td><h4>No results found.</h4></td>
																			<td></td>
																			<td></td>
																			<td></td>
																	</tr>
																<?php endif; ?>
																</tbody>
														</table>
												</div>


								<?php endif; ?>

						</div>
		</div>
</div>

<?php 	require_once '_footer.php'; ?>