
$(function(){


    //initiate region
    if ($('#region').length > 0) {

        $.ajax({
            url: 'ajax/regions.php',
            dataType: 'json',
            method: 'GET',
            data: {country_id: 216}, //UK
            success: function(xhr){
                $('#region').html('');

                if (xhr) {
                    $('#region').append("<option value='' selected>--ALL--</option>");
                    var option = '';
                    $.each(xhr, function(){
                        option = '<option value="' + this.id + '">' + this.name + '</option>';
                        $('#region').append(option);
                    });
                }
            }
        });
    }


    //load region by country
    $('#country').change(function(){
        $.ajax({
            url: 'ajax/regions.php',
            dataType: 'json',
            method: 'GET',
            data: {country_id: this.value},
            success: function(xhr){
                $('#region').html('');

                if (xhr) {
                    $('#region').append("<option value='' selected>--ALL--</option>");
                    var option = '';
                    $.each(xhr, function(){
                         option = '<option value="' + this.id + '">' + this.name + '</option>';
                        $('#region').append(option);
                    });
                }
            }
        })
    });

    // accepts number only for radius textfield
    $("#mile-radius").keydown(function(event) {
        // Allow only backspace and delete
        if ( event.keyCode == 46 || event.keyCode == 8 ||  event.keyCode == 190 ) {
            // let it happen, don't do anything
        }
        else {
            // Ensure that it is a number and stop the keypress
            if (event.keyCode < 48 || event.keyCode > 57 ) {
                event.preventDefault();
            }
        }
    });

    //show loader
    $('.btn').click(function(){
       $('#loader').fadeIn();
    });


    //toggle apply with cv only

    $('#cv-toggle-option').click(function(){
        var $this = $(this);

        if ($this.is(':checked')) {
            $('#cv-only').css('display','block');
            $('#cv-and-form').css('display','none');
        } else {
            $('#cv-only').css('display','none');
            $('#cv-and-form').css('display','block');
        }
    });
});